#ifndef SRC_SAM_ALARMS_H_
#define SRC_SAM_ALARMS_H_
#include <stdint.h>
#include <vector>
#include <klog.h>

#include "node_port.h"

class SAMalarms
{
	cKlog logger;
public:
	std::vector<NodeDigitalInput*> Inputs;

	SAMalarms(std::vector<char*> *alarm_labels);
	virtual ~SAMalarms();

	void update(uint8_t *alarm_buffer);

	void print();
};

#endif /* SRC_SAM_ALARMS_H_ */
